<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty md5 modifier plugin
 *
 * Type:     modifier<br>
 * Name:     md5<br>
 * Date:     Mar 23, 2009
 * Purpose:  get md5 from string
 * Input:    string
 * Example:  {$str|md5}
 * @link http://www.programadorphpfreelance.com
 * @author   Jose Carlos Cruz <josecarlos@programadorphpfreelance.com>
 * @version 1.0
 * @param string
 * @return string
 */
function smarty_modifier_md5($str)
{
    return md5($str);
}

/* vim: set expandtab: */

?>
