<?php
/**
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2013-11-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/camposuser/admin/index.php
 *
 */

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';


$mostrarprincipal = true;

switch($op)
{
	case "edit":
		$registro = $db->GetRow("SELECT * FROM ".SWPHP_DBPREFIX."camposuser WHERE id = '{$id}'");
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT * FROM ".SWPHP_DBPREFIX."camposuser_idiomas WHERE campouser_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}
		$registro['perfiles'] = $db->GetArrayForHTMLSelectQuery("SELECT perfil_id, permiso_id FROM ".SWPHP_DBPREFIX."camposuser_perfiles WHERE campouser_id = '{$id}'", null, false);
		//sigue
	case "new":
		if(!isset($registro))
		{
			$registro = array(
				'id'=>'',
				'info'=>'tag=input;type=text;size=40;maxlength=64',
				'idiomas'=>array(),
				'perfiles'=>array(),
				'permiso_id'=>2,
				'micuenta'=>2,
				);
		}
		$smarty->assign("perfiles", SWPHP::_GetPerfiles(1));
		$smarty->assign("permisos", $db->GetArrayForHTMLSelectQuery("SELECT id, nombre FROM ".SWPHP_DBPREFIX."permisos ORDER BY id ASC"));
		$admin_template = "{$swphp_module_templates_dir}admin/campouser.tpl";
		$mostrarprincipal = false;
		$smarty->assign("registro", $registro);
		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");
		break;
	case "upd":
		if(camposuser_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Update(camposuser_prepararDatos($_POST, $id), SWPHP_DBPREFIX."camposuser", $id),
				"Registro actualizado correctamente",
				"No se ha podido actualizar el registro"
			))
			{
				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Update(camposuser_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."camposuser_idiomas", array('campouser_id'=>$id, 'idioma_id'=>$idioma['id'])),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}

				camposuser_asociarPerfiles($id, empty($_POST['perfiles']) ? array() : $_POST['perfiles']);
			}
		}
		break;
	case "reg":
		if(camposuser_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert(camposuser_prepararDatos($_POST), SWPHP_DBPREFIX."camposuser"),
				"Registro insertado correctamente",
				"No se ha podido insertar el registro"
			))
			{
				$id = $db->Insert_id();

				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Insert(camposuser_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."camposuser_idiomas"),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}

				camposuser_asociarPerfiles($id, empty($_POST['perfiles']) ? array() : $_POST['perfiles']);
			}
		}
		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador('campos');
	$paginador->SetParam('etiqueta', 'campo');
	$paginador->Fill("SELECT c.id, ci.nombre, '' AS controles"
			." FROM ".SWPHP_DBPREFIX."camposuser AS c"
			." JOIN ".SWPHP_DBPREFIX."camposuser_idiomas AS ci ON c.id = ci.campouser_id AND ci.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."'"
			." ORDER BY c.peso ASC, ci.nombre ASC");

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>"Id.", "class"=>"numeric"),
		'nombre'=>array("label"=>"Nombre"),
		'controles'=>array("label"=>"", "orderby"=>false)
		));

	$paginador->SetParam('buscador', array(
		'ci.nombre'=>'Nombre',
		'c.id'=>'Id.',
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave;

		$id = $reg['id'];

		$reg['controles'] = "<a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
						." <a id=\"aEliminar{$id}\" href=\"javascript:EliminarCampo({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar"))."</a>";
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/camposuser.tpl";

	$smarty->assign('paginador', $paginador);
}
?>
