{*
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2013-11-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/camposuser/tpl/admin/campouser.tpl
 *
 *}
{if $registro.id > 0}
{assign var="query" value="op=upd&amp;id="|cat:$registro.id}
<h2>{swphp_icon icon='edit.png' width=32} Editar campo</h2>
{else}
{assign var="query" value="op=reg"}
<h2>{swphp_icon icon='add.png' width=32} Nuevo campo</h2>
{/if}
{include file='paraincluir/editlang.tpl'}
<form id="form_campo" action="{$smarty.const.SWPHP_ADMIN_DIR|cat:$swphp_mod_clave}/?{$query}" method="post" onsubmit="return validador.ValidarForm(this.id)" >
<div class="center">
<table class="center">
	<tr>
		<td class="flabel">Id</td>
		<td>{$registro.id|default:"[autoasignado]"}</td>
	</tr>
	<tr>
		<td class="flabel">Nombre</td>
		<td>
		{foreach from=$swphp_idiomas item="idioma"}
			<div class="editlang lang_{$idioma.codigoiso}" {if $idioma.id != $smarty.const.SWPHP_IDIOMA_POR_DEFECTO}style="display:none"{/if}>
				<input type="text" name="idiomas[{$idioma.id}][nombre]" id="nombre_{$idioma.codigoiso}" size="80" maxlength="120" value="{$registro.idiomas[$idioma.id].nombre}" class="lang_{$idioma.codigoiso}{if $idioma.id == $smarty.const.SWPHP_IDIOMA_POR_DEFECTO} requerido{/if}" title="Nombre ({$idioma.nombre})" {if $nuevo}onkeyup="xajax_Titulo2Friendly(this.value, '{$idioma.codigoiso}');"{/if} />
				{swphp_langflag lang=$idioma.codigoiso class="lang"}
			</div>
		{/foreach}
			<div class="fhelp">Nombre público del campo</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Info</td>
		<td>
			<input type="text" name="info" id="info" size="80" maxlength="255" class="requerido" title="Info" value="{$registro.info}" />
			<div class="fhelp">Propiedades del campo (para FormBuilder)</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Permiso</td>
		<td>
			<select name="permiso_id" id="permiso_id">
			{html_options options=$permisos selected=$registro.permiso_id}
			</select>
			<div class="fhelp">Qué nivel de acceso mínimo tiene que tener un usuario para poder visualizar o editar este campo</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Perfiles</td>
		<td>
			<table>
			{foreach from=$perfiles item=perfil_nombre key=perfil_id}
				<tr>
					<td><input type="checkbox" name="kk[{$perfil_id}]" id="kk_{$perfil_id}" value="{$perfil_id}" {if isset($registro.perfiles[$perfil_id])}checked="checked"{/if} onclick="if(this.checked) $j('#perfiles_{$perfil_id}').removeAttr('disabled'); else $j('#perfiles_{$perfil_id}').attr('disabled', 'disabled');" /><label for="kk_{$perfil_id}"> {$perfil_nombre}</label></td>
					<td><select name="perfiles[{$perfil_id}]" id="perfiles_{$perfil_id}" {if !isset($registro.perfiles[$perfil_id])}disabled="disabled"{/if}>{html_options options=$permisos selected=$registro.perfiles[$perfil_id]}</select></td>
				</tr>
			{/foreach}
			</table>
			<div class="fhelp">Perfiles a los que se asocia este campo y permiso desde Mi cuenta</div>
		</td>
	</tr>
	<tr>
		<td class="center separado1" colspan="2"><br />
			<input type="submit" value="Aceptar" class="boton" />
			<input type="button" value="Cancelar" onclick="window.location.replace('{$smarty.const.SWPHP_ADMIN_DIR|cat:$swphp_mod_clave}/')" class="boton" />
		</td>
	</tr>
</table>
</div>
</form>
