<?php
/**
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2012-05-13
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/transferencias/admin/index.php
 *
 */

$fd = isset($_GET["fd"]) ? trim($_GET["fd"]) : false;
$fh = isset($_GET["fh"]) ? trim($_GET["fh"]) : false;
$ue = isset($_GET["ue"]) ? intval($_GET["ue"]) : false;
$ub = isset($_GET["ub"]) ? intval($_GET["ub"]) : false;

$filtro_fd = $fd ? sprintf(" AND SUBSTRING(t.fechayhora, 1, LENGTH('%s')) >= '%s'", addcslashes($fd, "'"), addcslashes($fd, "'")) : "";
$filtro_fh = $fh ? sprintf(" AND SUBSTRING(t.fechayhora, 1, LENGTH('%s')) <= '%s'", addcslashes($fh, "'"), addcslashes($fh, "'")) : "";
$filtro_ue = $ue ? sprintf(" AND t.user_from = '%u'", $ue) : "";
$filtro_ub = $ub ? sprintf(" AND t.user_to = '%u'", $ub) : "";

$paginador = SWPHP::_CrearPaginador('transferencias');
$paginador->SetParam('etiqueta', l('transferencia', 'kapitaltruth'));
$paginador->Fill("SELECT t.fechayhora, CONCAT('(',eu.nick,') ',eku.nombre) AS emisor, CONCAT('(',bu.nick,') ',bku.nombre) AS beneficiario, t.puntos"
	." FROM ".SWPHP_DBPREFIX."kptl_transferencias AS t"
	." LEFT JOIN ".SWPHP_DBPREFIX."kptl_usuarios AS eku ON eku.id = t.user_from"
	." LEFT JOIN ".SWPHP_DBPREFIX."users AS eu ON eu.id = eku.user_id"
	." LEFT JOIN ".SWPHP_DBPREFIX."kptl_usuarios AS bku ON bku.id = t.user_to"
	." LEFT JOIN ".SWPHP_DBPREFIX."users AS bu ON bu.id = bku.user_id"
	." WHERE 1".$filtro_fd.$filtro_fh.$filtro_ue.$filtro_ub
	." ORDER BY t.fechayhora DESC, t.id DESC"
	);
$paginador->SetParam('campos', array(
	'fechayhora'=>array('label'=>l('Fecha', 'kapitaltruth'), 'style'=>'width:100px'),
	'emisor'=>array('label'=>l('Emisor', 'kapitaltruth'), 'style'=>'width:240px'),
	'beneficiario'=>array('label'=>l('Beneficiario', 'kapitaltruth'), 'style'=>'width:240px'),
	'puntos'=>array('label'=>l('[KPTL_Puntos]', 'kapitaltruth'), 'class'=>'numeric', 'style'=>'width:80px'),
	));
$paginador->SetParam('camposEstrictos', true);
$paginador->SetParam('buscador', false);
$paginador->SetParam('permitirOrdenacion', false);
/*$paginador->SetParam('formato_tabla', array(
	'class'=>'listado middle',
	'width'=>'100%',
	'cellpadding'=>'0',
	'cellspacing'=>'0',
	'border'=>'0',
	));*/

function applyToReg(&$reg, $key)
{
	global $db;

	$reg['fechayhora'] = substr($reg['fechayhora'], 0, 10).'<span class="mini">'.substr($reg['fechayhora'], 10).'</span>';
	$reg['puntos'] .= ' '.l('[KPTL_puntos]', 'kapitaltruth');
}
$paginador->SetParam('applyToRegs', 'applyToReg');

$smarty->assign(array(
	'fd'=>$fd,
	'fh'=>$fh,
	'ue'=>$ue,
	'ub'=>$ub,
	'ue_nombre'=>KPTL_User::Id2NickNombre($ue),
	'ub_nombre'=>KPTL_User::Id2NickNombre($ub),
	'paginador'=>$paginador
	));

$admin_template = "{$swphp_module_templates_dir}admin/transferencias/transferencias.tpl";
?>
