<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-08-10
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/archivos/log/index.php
 *
 */

$dir = SWPHP_LOG_DIR;
$exts = array('log');
//sort($exts);

$file = isset($_GET['f']) && $_GET['f'] ? $_GET['f'] : false;

if($file)
{
	SWPHP::_ForzarDescarga($dir.$file);
}

$paginador = SWPHP::_CrearPaginador('log');
$paginador->SetParam('etiqueta', 'archivo');
$files = getFilesExt($dir, $exts);
sort($files);
for($c=0,$size=sizeof($files); $c<$size; $c++)
{
	$file = $files[$c];
	$files[$c] = array(
		"nombre"=>$file,
		"url"=>"{$dir}{$file}", //"<a class=\"external\" href=\"{$dir}{$file}\">{$dir}{$file}</a>",
		"peso"=>sprintf("%.2f Kb", filesize($dir.$file) / 1024),
		"controles"=>"<a id=\"aDescargar{$file}\" href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave.'/?f='.urlencode($file)."\" title=\"Descargar\">".SWPHP::_Icon("page_search.png", 16, array("alt"=>"Descargar"))."</a>"
			."<a id=\"aEliminar{$file}\" href=\"javascript:EliminarArchivo('".addcslashes($file,"'")."')\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar"))."</a>"
		);
}
$paginador->Fill($files);
$paginador->SetParam('campos', array(
	'nombre'=>array('label'=>'Nombre'),
	'url'=>array('label'=>'Localización'), //, 'orderby'=>false
	'peso'=>array('label'=>'Peso', 'class'=>'numeric'),
	'controles'=>array('label'=>'', 'orderby'=>false, 'class'=>'center'),
	));
$paginador->SetParam('camposEstrictos', false);
$paginador->SetParam('buscador', false);

$admin_template = "{$swphp_module_templates_dir}admin/archivos.tpl";

$smarty->assign('paginador', $paginador);
?>