<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2010-01-10
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/micuenta/admin/index.php
 *
 */

require_once(SWPHP_COMMON_DIR.'classes/DB_Reg.class.php');
require_once(SWPHP_COMMON_DIR.'classes/SWPHP_Reg.class.php');
require_once(SWPHP_COMMON_DIR.'classes/SWPHP_User.class.php');

$id = $_SESSION["user"]["id"];

$user = new SWPHP_User($id);

if(isset($_POST['sent']))
{
	if(micuenta_validarDatos($_POST))
	{
		$data = micuenta_prepararDatos($_POST);

		if(sizeof($data) > 0)
		{
			if($user->SetData($data) && $user->Save())
			{
				SWPHP::_Msg("Datos guardados correctamente", 'check');
			}
			else
			{
				SWPHP::_Msg("No se ha podido guardar los datos", 'error');
			}
		}
	}
}

$smarty->assign('registro', $user->GetData());
$smarty->assign('perfiles', SWPHP::_GetPerfiles());
$smarty->assign('camposuser', SWPHP::_GetCamposUser($user->GetValue('perfil_id', false)));

$admin_template = "{$swphp_module_templates_dir}admin/micuenta.tpl";
