<?php
/* swphp ea */

$ok = true;

$sql = "
SET NAMES 'utf8';

CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."camposuser` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `clave` varchar(32) NOT NULL,
  `permiso_id` enum('0','1','2','3') NOT NULL DEFAULT '1',
  `info` varchar(255) NOT NULL,
  `peso` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `clave` (`clave`)
) DEFAULT CHARSET=utf8;
CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."camposuser_perfiles` (
  `campouser_id` smallint(5) unsigned NOT NULL,
  `perfil_id` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`campouser_id`, `perfil_id`)
) DEFAULT CHARSET=utf8;
CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."camposuser_idiomas` (
  `campouser_id` smallint(5) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `nombre` varchar(64) NOT NULL,
  PRIMARY KEY (`campouser_id`, `idioma_id`)
) DEFAULT CHARSET=utf8;
CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."users_camposuser` (
  `user_id` int(10) unsigned NOT NULL,
  `campouser_id` smallint(5) unsigned NOT NULL,
  `valor` varchar(255) NOT NULL,
  PRIMARY KEY (`user_id`,`campouser_id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."perfiles_idiomas` (
  `perfil_id` smallint(5) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `nombre` varchar(60) NOT NULL,
  PRIMARY KEY (`perfil_id`,`idioma_id`),
  UNIQUE KEY (`idioma_id`,`nombre`)
) DEFAULT CHARSET=utf8;

ALTER TABLE `".SWPHP_DBPREFIX."provincias` CHANGE nombre nombre VARCHAR(60) NOT NULL;

ALTER TABLE `".SWPHP_DBPREFIX."users` CHANGE nick nick VARCHAR(32) NOT NULL;
";

$ok &= SWPHP::_ExecuteSQL($sql, true, false);

$rows = $db->GetRows("SELECT id AS perfil_id, nombre FROM ".SWPHP_DBPREFIX."perfiles", true, false);
foreach($rows as $row)
{
	foreach($swphp_idiomas AS $idioma_id=>$idioma)
	{
		$row['idioma_id'] = $idioma_id;
		$db->Execute(buildQuery_Insert($row, SWPHP_DBPREFIX.'perfiles_idiomas'));
        $ok &= ($db->AffectedRows() > 0);
	}
}

if($ok)
{
	$db->Execute("ALTER TABLE ".SWPHP_DBPREFIX."perfiles DROP nombre");
}

deleteDir(SWPHP_COMMON_DIR.'phphtmlparser');


$updOk = $ok;
