<?php
/**
 * Class to build Google Charts
 *
 * @author José Carlos Cruz Parra
 */
class GoogleChart
{
	const BASE_URL = 'http://chart.apis.google.com/chart';

	private static function BuildChartImg($params)
	{
		$src = self::BASE_URL.'?';
		foreach($params as $key=>$value)
		{
			$src .= sprintf("%s=%s&", $key, $value);
		}

		return sprintf('<img src="%s" alt="" width="%s" height="%s" />', $src, substr($params["chs"],0,strpos($params["chs"],"x")), substr($params["chs"],strpos($params["chs"],"x")+1));
	}
}
?>