<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-08
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/inc/estadisticas.inc.php
 *
 */

require($swphp_module_dir.'inc/classes/KPTL_Calculon.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Graficos.class.php');

$op = isset($_GET['op']) ? $_GET['op'] : '';

switch($op)
{
	case '':
	default:
		$moduletemplate = 'inc/estadisticas.tpl';

		break;
	case 'puntos':
		$fd = isset($_GET["fd"]) ? trim($_GET["fd"]) : false;
		$fh = isset($_GET["fh"]) ? trim($_GET["fh"]) : false;

		list($fd, $fh, $ini, $fin) = kapitaltruth_ajustarFechas($fd, $fh);

		$smarty->assign(array(
			'fd'=>$fd,
			'fh'=>$fh,
			//'kptl_chart'=>KPTL_Graficos::GetEvolucionPuntos($ini, $fin, $kptl_user_id),
			'kptl_chart'=>KPTL_Graficos::GetEvolucionPuntosComparadaConMedia($ini, $fin, $kptl_user_id),
			));

		$moduletemplate = 'inc/estadisticas/puntos.tpl';

		break;
	case 'valoraciones':
		$fd = isset($_GET["fd"]) ? trim($_GET["fd"]) : false;
		$fh = isset($_GET["fh"]) ? trim($_GET["fh"]) : false;

		list($fd, $fh, $ini, $fin) = kapitaltruth_ajustarFechas($fd, $fh);

		$smarty->assign(array(
			'fd'=>$fd,
			'fh'=>$fh,
			//'kptl_chart'=>KPTL_Graficos::GetEvolucionValoraciones($ini, $fin, $kptl_user_id),
			'kptl_chart'=>KPTL_Graficos::GetEvolucionValoracionesComparadaConMedia($ini, $fin, $kptl_user_id),
			));

		$moduletemplate = 'inc/estadisticas/valoraciones.tpl';

		break;
}

$kptl_template = SWPHP::_GetModuleTemplate($moduletemplate);


/* FUNCIONES */

function kapitaltruth_ajustarFechas($fd, $fh)
{
	global $db, $kptl_user_id;

	$hoy = date("Y-m-d");

	$ini = $fd;
	$len = strlen($ini);
	if($len == 0)
	{
		$ini = $db->GetValueQuery("SELECT MIN(SUBSTRING(fechayhora,1,10)) FROM ".SWPHP_DBPREFIX."kptl_movimientos WHERE user_id = '{$kptl_user_id}'", false);
	}
	elseif($len < 10)
	{
		$ini = sprintf("%04s-%02s-%02s", substr($ini,0,4), $len > 5 ? substr($ini,5,2) : "01", $len > 8 ? substr($ini,8) : "01");
	}

	$fin = $fh;
	$len = strlen($fin);
	if($len == 0)
	{
		$fin = $hoy;
	}
	elseif($len < 10)
	{
		$fin = sprintf("%04s-%02s-%02s", substr($fin,0,4), $len > 5 ? substr($fin,5,2) : "12", $len > 8 ? substr($fin,8) : "XX");
		if(strpos($fin, "XX"))
		{
			$fin = date("Y-m-d", mktime(0, 0, 0, substr($fin,5,2)+1, 0, substr($fin,0,4)));
		}
	}
	if($fin > $hoy)
	{
		$fh = $fin = date("Y-m-d", mktime(0, 0, 0, substr($hoy,5,2), substr($hoy,8,2)-1, substr($hoy,0,4)));
	}

	return array($fd, $fh, $ini, $fin);
}
?>