<?php
$op = isset($_GET['op']) ? $_GET['op'] : '';

switch($op)
{
	case 'new':
		function Titulo2Friendly($str, $isolang)
		{
			$response = new xajaxResponse();

			$response->assign('friendly_'.$isolang, 'value', string2friendly($str));

			return $response;
		}

		$xajax->registerFunction('Titulo2Friendly');
		//sigue
	case 'edit':
		function GuardarFuente($nombre, $url)
		{
			global $db;

			$response = new xajaxResponse();

			$data = array(
				'nombre'=>trim($nombre),
				'friendly'=>string2friendly(trim($nombre)),
				'url'=>trim($url),
				);
			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert($data, SWPHP_DBPREFIX.'fuentesnoticias'),
				'',
				'No se pudo guardar la fuente'
				))
			{
				$response->script("select_Empty('fuente_id')");

				$rows = noticias_getFuentes();
				foreach($rows as $key=>$value)
				{
					$response->script(sprintf("select_AddOption('fuente_id','%s',%u,%s)", addcslashes($value,"'"), $key, $value == $nombre ? 'true' : 'false'));
				}
			}

			return SWPHP_Xajax::_VolcarMensajes($response, true);
		}

		$xajax->registerFunction('GuardarFuente');

		break;
	default:
		function Activar($id)
		{
			return SWPHP_Xajax::_Switch(null, intval($id), SWPHP_DBPREFIX.'noticias');
		}

		$xajax->registerFunction('Activar');

		function Eliminar($id)
		{
			global $db;

			$response = new xajaxResponse();

			if(noticias_eliminarNoticia($id))
			{
				$response->script("gebi('aEliminar{$id}').parentNode.parentNode.style.display = 'none';");
				$response = SWPHP_Xajax::_VolcarMensajes($response, true);
			}
			else
			{
				$response = SWPHP_Xajax::_VolcarMensajes($response, false);
			}

			return $response;
		}

		$xajax->registerFunction('Eliminar');

		break;
}
