<form id="form_quetraducir" action="{$smarty.const.SWPHP_PAGINA_ACTUAL}" method="get" onsubmit="return validador.ValidarForm(this.id);">
<table>
<tr>
	<td>Qué traducir</td>
	<td>
		<select name="q" id="q" class="requerido" title="Qué traducir" onchange="$j('#traducciones').hide(500);">
			<option value="">Seleccionar...</option>
			<optgroup label="Themes">
			{foreach from=$themes item=theme}
				<option value="the_{$theme}"{if $q == 'the_'|cat:$theme} selected="selected"{/if}>{$theme}</option>
			{/foreach}
			</optgroup>
			<optgroup label="Módulos">
			{foreach from=$modulos item=modulo}
				<option value="mod_{$modulo.clave}"{if $q == 'mod_'|cat:$modulo.clave} selected="selected"{/if}>{$modulo.titulo}</option>
			{/foreach}
			</optgroup>
		</select>
	</td>
	<td>A qué idioma</td>
	<td>
		<select name="l" id="l" style="padding:0 0 0 24px; background:url({swphp_langflag lang=$l srconly=true}) no-repeat left center transparent" onchange="this.style.backgroundImage = this.options[this.selectedIndex].style.backgroundImage; $j('#traducciones').hide(500);" class="requerido" title="A qué idioma">
			<option value="" style="padding:0 0 0 24px; background:url({swphp_langflag lang='' srconly=true}) no-repeat left center transparent">Seleccionar...</option>
		{foreach from=$idiomas item=idioma}
			<option value="{$idioma.codigoiso}"{if $l == $idioma.codigoiso} selected="selected"{/if} style="padding:0 0 0 24px; background:url({swphp_langflag lang=$idioma.codigoiso srconly=true}) no-repeat left center transparent">{$idioma.nombre}</option>
		{/foreach}
		</select>
	</td>
	<td>
		<input type="submit" value="Aceptar" class="boton mini" />
	</td>
</tr>
</table>
</form>
{if $frases !== false}
<div id="traducciones">
	{if empty($frases)}
	<p class="info">No se encontraron frases para traducir.</p>
	{else}
	<p class="aviso">Al traducir, ten siempre en cuenta factores como las mayúsculas, los signos de puntuación, etc.</p>
	<form id="form_traducciones" action="{$smarty.const.SWPHP_PAGINA_ACTUAL}?q={$q}&amp;l={$l}" method="post" onsubmit="return validador.ValidarForm(this.id);">
	<table width="100%">
		<tr>
			<th width="50%">Frase original</th>
			<th width="50%">Frase traducida</th>
		</tr>
		{foreach from=$frases item=frase key=key name='frases'}
		<tr class="{cycle values='listadoclaro,listadonormal'}">
			<td>{$key}</td>
			<td><input type="text" id="frases_{$smarty.foreach.frases.index}" name="frases[{$smarty.foreach.frases.index}]" size="128" maxlength="255" value="{$frase}" />
		</tr>
		{/foreach}
		<tr>
			<td colspan="2" class="separado1 center">
				<input type="submit" value="Guardar" class="boton" name="sent" />
				<input type="button" value="Cancelar" class="boton" onclick="window.location = '{$smarty.const.SWPHP_PAGINA_ACTUAL}';" />
			</td>
		</tr>
	</table>
	</form>
	{/if}
</div>
{/if}