<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2009-05-24
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * servererror.php
 */

$error = $_GET["error"];
switch ($error)
{
	case 400:
		$info = _("Dirección inválida o incompatibilidad ISO.");
		break;
	case 401:
		$info = _("Se requiere autorización.");
		break;
	case 402:
		$info = _("Pago requerido."); //No usado actualmente
		break;
	case 403:
		$info = _("Acceso denegado.");
		break;
	case 404:
		header("HTTP/1.0 404 Not Found");
		$info = _("La página solicitada no se encuentra en el servidor.");
		break;
	case 405:
		$info = _("Método no permitido.");
		break;
	case 406:
		$info = _("No aceptable (codificación).");
		break;
	case 407:
		$info = _("Se requiere autentificación del proxy.");
		break;
	case 408:
		$info = _("Ha pasado el tiempo de solicitud.");
		break;
	case 409:
		$info = _("Conflicto en la solicitud.");
		break;
	case 410:
		$info = _("Se fue.");
		break;
	case 411:
		$info = _("Longitud de contenido requerida.");
		break;
	case 412:
		$info = _("No se ha cumplido una precondición.");
		break;
	case 413:
		$info = _("Entidad de solicitud demasiado larga.");
		break;
	case 414:
		$info = _("Url de solicitud demasiado larga.");
		break;
	case 415:
		$info = _("Tipo de medio no soportado.");
		break;
	case 500:
		$info = _("Se ha producido un error interno del servidor.");
		break;
	case 501:
		$info = _("No implementado.");
		break;
	case 502:
		$info = _("Bad gateaway.");
		break;
	case 503:
		$info = _("Servicio no disponible.");
		break;
	case 504:
		$info = _("Gateaway timeout.");
		break;
	case 501:
		$info = _("Versión de HTTP no soportada.");
		break;
	default:
		$error = _("desconocido");
		$info = _("Error desconocido.");
		break;
}

require('config/config-SWPHP.inc.php');
require(SWPHP_INC_DIR.'comunini.inc.php');
$swphp_pagina->SetValues(
	"Error {$error}",
	"Error {$error}",
	$info,
	'error,web,base',
	$info,
	'exclamation.png',
	false,
	0,
	'',
	'none'
	);

$swphp_pagina->AddToBreadcrumbs();

$smarty->assign('swphp_menuprincipal', SWPHP::_GetMenuPrincipal());
$smarty->assign('swphp_menucontextual', null);
$smarty->assign('swphp_localizador', SWPHP::$breadcrumb->GetItems());
$swphp_administracion = false;
require(SWPHP_INC_DIR.'comunfin.inc.php');
